curl
curl -X POST 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/finalize/' \
-H 'x-api-key: YOUR_API_KEY'import os
import requests
resp = requests.post(
'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/finalize/',
headers={'x-api-key': os.environ['DIDIT_API_KEY']},
timeout=30,
)
if resp.status_code == 400:
print('Validation failed:', resp.json()['errors'])
else:
resp.raise_for_status()
report = resp.json()
print(report['status'], report['report_number'])const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type": "SAR",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status": "DRAFT",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"submission_code": "E",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>"
}Regulatory Reports
Finalize Report
Re-validate, then render the goAML XML and PDF and upload both to S3. On SAR/STR/TFR reports, this also moves the case’s transaction alerts from Pending SAR to SAR filed.
POST
/
v3
/
organization
/
{organization_id}
/
application
/
{application_id}
/
regulatory-reports
/
{report_uuid}
/
finalize
/
curl
curl -X POST 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/finalize/' \
-H 'x-api-key: YOUR_API_KEY'import os
import requests
resp = requests.post(
'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/finalize/',
headers={'x-api-key': os.environ['DIDIT_API_KEY']},
timeout=30,
)
if resp.status_code == 400:
print('Validation failed:', resp.json()['errors'])
else:
resp.raise_for_status()
report = resp.json()
print(report['status'], report['report_number'])const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/finalize/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type": "SAR",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status": "DRAFT",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"submission_code": "E",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>"
}
Finalize a report. This is the point of no return, a finalized report cannot be edited or deleted, only downloaded.
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Report UUID.
Example:
"5ec00000-0000-4000-8000-000000000007"
Response
Report finalized; xml_s3_key and pdf_s3_key are set.
Available options:
SAR, STR, CTR, TTR, UTR, IFT, CBR, TFR goAML report code derived from report_type, e.g. STR, CTR, BCR.
Available options:
DRAFT, VALIDATED, FINALIZED Required string length:
2Reporting entity ID issued by the FIU.
Available options:
E, M Required string length:
3Five Ws narrative sections.
Show child attributes
Show child attributes
Result of the most recent validation; each entry is a {field, message} object.
Show child attributes
Show child attributes